#!/bin/sh

PERL=$(which perl)

FOLD_DIR=/opt/fah/folding
MEMORY="memory"

FILE=$1

if [ -z "$FILE" ]; then
  echo "Vous devez mettre le fichier python à exécuter !"
  echo "Ex : ./go_X.sh score2"
  exit 1
fi

FAH_DB="fah.db"

# Dossier folding
cd $FOLD_DIR

# Creation du RAMDisk
mkdir -p /tmp/$MEMORY
sudo mount -t tmpfs -o size=1024M tmpfs /tmp/$MEMORY
sleep 1

# Copie BDD dans RAMDisk
\cp -f saved_$FAH_DB /tmp/$MEMORY/$FAH_DB

# Creation pages
$PERL ${FILE}.pl

# Copie de la BDD depuis RAMDisk
\cp -f /tmp/$MEMORY/$FAH_DB ./saved_$FAH_DB

# Destruction du RAMDisk
sudo umount /tmp/$MEMORY
sleep 1
rmdir /tmp/$MEMORY

echo "Fin du traitement pour aujourd'hui !"

